package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDatas;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[UserRoleDatas] 对象
 */
public class UserRoleDatasImpl implements IUserRoleDatas,Serializable{

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 用户角色数据能力名称
     */
    public String userRoleDatasName;

    @JsonIgnore
    public boolean userRoleDatasNameDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 用户角色数据能力标识
     */
    public String userRoleDatasId;

    @JsonIgnore
    public boolean userRoleDatasIdDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 用户角色名称
     */
    public String userRoleName;

    @JsonIgnore
    public boolean userRoleNameDirtyFlag;
    
    /**
     * 数据对象能力名称
     */
    public String userRoleDataName;

    @JsonIgnore
    public boolean userRoleDataNameDirtyFlag;
    
    /**
     * 用户角色标识
     */
    public String userRoleId;

    @JsonIgnore
    public boolean userRoleIdDirtyFlag;
    
    /**
     * 数据对象能力标识
     */
    public String userRoleDataId;

    @JsonIgnore
    public boolean userRoleDataIdDirtyFlag;
    
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [用户角色数据能力名称]
     */
    @JsonProperty("userroledatasname")
    public String getUserRoleDatasName(){
        return this.userRoleDatasName ;
    }

    /**
     * 设置 [用户角色数据能力名称]
     */
    @JsonProperty("userroledatasname")
    public void setUserRoleDatasName(String  userRoleDatasName){
        this.userRoleDatasName = userRoleDatasName ;
        this.userRoleDatasNameDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色数据能力名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDatasNameDirtyFlag(){
        return this.userRoleDatasNameDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [用户角色数据能力标识]
     */
    @JsonProperty("userroledatasid")
    public String getUserRoleDatasId(){
        return this.userRoleDatasId ;
    }

    /**
     * 设置 [用户角色数据能力标识]
     */
    @JsonProperty("userroledatasid")
    public void setUserRoleDatasId(String  userRoleDatasId){
        this.userRoleDatasId = userRoleDatasId ;
        this.userRoleDatasIdDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色数据能力标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDatasIdDirtyFlag(){
        return this.userRoleDatasIdDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [用户角色名称]
     */
    @JsonProperty("userrolename")
    public String getUserRoleName(){
        return this.userRoleName ;
    }

    /**
     * 设置 [用户角色名称]
     */
    @JsonProperty("userrolename")
    public void setUserRoleName(String  userRoleName){
        this.userRoleName = userRoleName ;
        this.userRoleNameDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleNameDirtyFlag(){
        return this.userRoleNameDirtyFlag ;
    }   

    /**
     * 获取 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    public String getUserRoleDataName(){
        return this.userRoleDataName ;
    }

    /**
     * 设置 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    public void setUserRoleDataName(String  userRoleDataName){
        this.userRoleDataName = userRoleDataName ;
        this.userRoleDataNameDirtyFlag = true ;
    }

     /**
     * 获取 [数据对象能力名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataNameDirtyFlag(){
        return this.userRoleDataNameDirtyFlag ;
    }   

    /**
     * 获取 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public String getUserRoleId(){
        return this.userRoleId ;
    }

    /**
     * 设置 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public void setUserRoleId(String  userRoleId){
        this.userRoleId = userRoleId ;
        this.userRoleIdDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleIdDirtyFlag(){
        return this.userRoleIdDirtyFlag ;
    }   

    /**
     * 获取 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public String getUserRoleDataId(){
        return this.userRoleDataId ;
    }

    /**
     * 设置 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public void setUserRoleDataId(String  userRoleDataId){
        this.userRoleDataId = userRoleDataId ;
        this.userRoleDataIdDirtyFlag = true ;
    }

     /**
     * 获取 [数据对象能力标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataIdDirtyFlag(){
        return this.userRoleDataIdDirtyFlag ;
    }   

}
